/*-------------------------------------------------------------------------------------------------------------------------------
Liefert Name, Equipment, Munition, Zustand, Verhalten,	||Computes name, equipment, munition, condition,
Geschwindigkeit, Fhigkeit und Position einer Einheit.	||behaviour, speed, skill and position of a unit.
(Ist auch auf fast alle Gegenstnde anwendbar!)		||(It also works with most other objects!) 
Funktion von SKY  Oktober 2004                                        	||Funktion by SKY Oktober 2004
						||
In der "Init.sqs" Zeile einfgen: 			||Add line to "Init.sqs":
UnitInfo=preprocessfile "UnitInfo.sqf"			||UnitInfo=preprocessfile "UnitInfo.sqf"
Aufruf mit:Name Einheit call UnitInfo			||Call with: Name of unit call UnitInfo
						||
SKY-Mapper@gmx-topmail.de				||SKY-Mapper@gmx-topmail.de
-----------------------------------------------------------------------------------------------------------------------------------*/
private = ["_zahl","_nummer","_hint","_Ergebnis"];

_Ergebnis = true;
_hint = ["NAME: %1/%2\nEQUIPMENT:",_this,typeof _this];
_zahl = 0;
_nummer = 1;

//Waffen,Ausrstung sortieren || Sort weapons,equipment
if (count weapons _this == 0) then {_hint = ["NAME: %1/%2\nEQUIPMENT: --",_this,typeof _this]} else {};
While {_zahl < count weapons _this} do {_hint set [0, format ["%1%2",_hint select 0,format ["\n%1. %2",_nummer,weapons _this select _zahl]]];_zahl = _zahl +1;_nummer = _nummer + 1};

//Munition (Magazine) sortieren || Sort munition (magazines)
_zahl = 0;
_nummer = 1;
if (SomeAmmo _this) then {_hint set [0, format ["%1%2",_hint select 0,format [{%1},{\nMUNITION:}]]]} else {if (alive _this) then {_hint set [0, format ["%1%2",_hint select 0,format [{%1},{\nMUNITION: --}]]]} else {_hint set [0, format ["%1%2",_hint select 0,format [{%1},{\n\nMUNITION: ?}]]]}};
While {_zahl < count magazines _this && SomeAmmo _this} do {_hint set [0, format ["%1%2",_hint select 0,format ["\n%1. %2",_nummer,Magazines _this select _zahl]]];_zahl = _zahl +1;_nummer = _nummer + 1};

//Restliche Informationen (Dammage, Behaviour,...) || The other information (Damage, behaviour,...)
if (alive _this) then {_hint set [0, format ["%1\nDAMAGE: %2\nBEHAVIOUR: %3\nCOMBAT MODE: %4\nSPEED MODE: %5\nSPEED: %6\nSKILL: %7\nPOSITION: %8",_hint select 0,getdammage _this,behaviour _this,CombatMode _this,SpeedMode _this,Speed _this,Skill _this,getpos _this]]} else {_hint set [0, format ["%1\nDAMMAGE: exitus",_hint select 0]]};

hintc format _hint;

_Ergebnis