#define KI_ADDON_FontM "tahomaB36"
#define KI_ADDON_FontHTML "CourierNewB64"

#define KI_ADDON_KI_ADDON_ST_LEFT       0
#define KI_ADDON_ST_RIGHT      1
#define KI_ADDON_ST_CENTER     2
#define KI_ADDON_ST_MULTI      528
#define KI_ADDON_ST_FRAME   64

#define KI_ADDON_CT_STATIC     0
#define KI_ADDON_CT_EDIT    	2
#define KI_ADDON_CT_COMBO     4
#define KI_ADDON_CT_BUTTON   1
#define KI_ADDON_CT_ACTIVETEXT 11

class KI_ADDON_RscText
{
        type = KI_ADDON_CT_STATIC;
        idc = -1;
        style = KI_ADDON_ST_LEFT;
        colorBackground[] = {0,0,0,0};
        colorText[] = {0.1, 0.1, 0.1, 1};
        font = KI_ADDON_FontM;
        sizeEx = 0.04;
}; 
class KI_ADDON_RscEdit
{
       type = KI_ADDON_CT_EDIT;
       idc = -1;
       style = KI_ADDON_ST_LEFT;
       font = KI_ADDON_FontHTML;
       sizeEx = 0.022;
       colorText[] = {1, 1, 1, 1};
       colorSelection[] = {0.2, 0.2, 0.2, 1};
       autocomplete = false;
       text = ;
};
class KI_ADDON_RscLB_C
{
        style = KI_ADDON_ST_LEFT;
        idc = -1;
        colorSelect[] = {0.4, 0.4, 0.4, 1};
        colorSelectBackground[] = {0.2, 0.2, 0.2, 1};
        colorText[] = {1, 1, 1, 1};
        colorBackground[] = {0.4, 0.4, 0.4, 1};
        font = KI_ADDON_FontHTML;
        sizeEx = 0.022;
        rowHeight = 0.04;
};
class KI_ADDON_RscCombo : KI_ADDON_RscLB_C
{
        type = KI_ADDON_CT_COMBO;
        wholeHeight = 0.3;
};
class KI_ADDON_RscMulti
{
        type = KI_ADDON_CT_STATIC;
        idc = -1;
        style = KI_ADDON_ST_LEFT ;
        colorBackground[] = {0, 0, 0, 0};
        colorText[] = {0.1, 0.1, 0.1, 1};
        font = KI_ADDON_FontHTML;
        sizeEx = 0.025;
        lineSpacing = 1;
};
class KI_ADDON_RscActiveText
{
        type = KI_ADDON_CT_ACTIVETEXT;
        idc = -1;
        style = KI_ADDON_ST_LEFT;
        color[] = {0.9, 1, 0.9, 0.9};
        colorActive[] = {0.1, 0.1, 0.1, 1};
        font = KI_ADDON_FontM;
        sizeEx = 0.04;
        soundEnter[] = {"ui\ui_over", 0.2, 1};
        soundPush[] = {, 0.2, 1};
        soundClick[] = {"ui\ui_ok", 0.2, 1};
        soundEscape[] = {"ui\ui_cc", 0.2, 1};
        default = false;
};
class KI_ADDON_RscButton
{
        type = KI_ADDON_CT_BUTTON;
        idc = -1;
        style = KI_ADDON_ST_CENTER;
        colorText[] = {0.9, 0.9, 0.9, 1};
        font = KI_ADDON_FontHTML;
        sizeEx = 0.025;
        soundPush[] = {, 0.2, 1};
        soundClick[] = {"ui\ui_ok", 0.2, 1};
        soundEscape[] = {"ui\ui_cc", 0.2, 1};
        default = false;
};
class KIEINSTELLUNGEN
{
  idd = -1;
  movingEnable = true;
  controlsBackground[] = { MY_BACKGROUND,MY_BACKGROUND_INFO,MY_BACKGROUND_AKTUELL,MY_FRAME1, MY_FRAME2,MY_FRAME3,MY_FRAME4,INFO1,TEXT1,TEXT2,TEXT3,TEXT4,TEXT5,TEXT6,TEXT7,TEXT8,TEXT9,TEXT10,TEXT11,TEXT12,TEXT13,TEXT14,TEXT15,TEXT16,TEXT17};
  class MY_BACKGROUND : KI_ADDON_RscText
  {
     colorBackground[] = {0.3, 0.33, 0.3, 0.9};
     text = ;
     x = 0.125;
     y = 0.023;
     w = 0.75;
     h = 0.91;
  };
  class MY_BACKGROUND_INFO : KI_ADDON_RscText
  {
     colorBackground[] = {0.6, 0.63, 0.6, 0.8};
     text = ;
     x = 0.475;
     y = 0.081;
     w = 0.38;
     h = 0.779;
  };
  class MY_BACKGROUND_AKTUELL : KI_ADDON_RscText
  {
     colorBackground[] = {0.6, 0.63, 0.6, 0.7};
     text = ;
      x = 0.338;
     y = 0.081;
     w = 0.073;
     h = 0.779;
  };
  class MY_FRAME1 : KI_ADDON_RscText
  {
     idc = 101;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_Einstellungen;
     sizeEx = 0.025;
     x = 0.135;
     y = 0.03;
     w = 0.73;
     h = 0.89;
  };
   class MY_FRAME2 : KI_ADDON_RscText
  {
     idc = 102;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_Einstellungen_Aktuell;
     sizeEx = 0.025;
     x = 0.338;
     y = 0.07;
     w = 0.073;
     h = 0.79;
  };
   class MY_FRAME3 : KI_ADDON_RscText
  {
     idc = 103;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_Einstellungen_Neu;
     sizeEx = 0.025;
     x = 0.413;
     y = 0.07;
     w = 0.06;
     h = 0.79;
  }; 
class MY_FRAME4 : KI_ADDON_RscText
  {
     idc = 104;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = "Info";
     sizeEx = 0.025;
     x = 0.475;
     y = 0.07;
     w = 0.38;
     h = 0.79;
  };
  class INFO1 :  KI_ADDON_RscMulti
  {
    idc = 105;
    style = KI_ADDON_ST_MULTI;
    text = ;
    font = KI_ADDON_FontHTML;
    sizeEx = 0.023;
    x = 0.485;
    y = 0.10;
    w = 0.36;
    h = 0.76;
 }; 
class TEXT1 :  KI_ADDON_RscText
  {
    idc = 106;
    font = KI_ADDON_FontHTML;
    text = ;    
    sizeEx = 0.025;
          x = 0.346;
          y = 0.10;
          w = 0.058;
          h = 0.03;
 };   
class TEXT2 :  KI_ADDON_RscText
  {
     idc = 107;
     font = KI_ADDON_FontHTML;
     text = ; 
     sizeEx = 0.025;
          x = 0.346;
          y = 0.14;
          w = 0.058;
          h = 0.03;
 }; 
class TEXT3 :  KI_ADDON_RscText
  {
    idc = 108;
    style = KI_ADDON_ST_LEFT;
    font = KI_ADDON_FontHTML;
    text = ;    
    sizeEx = 0.025;
          x = 0.346;
          y = 0.18;
          w = 0.058;
          h = 0.03;
 };   
class TEXT4 :  KI_ADDON_RscText
  {
     idc = 109;
     font = KI_ADDON_FontHTML;
     text = ; 
     sizeEx = 0.025;
          x = 0.346;
          y = 0.22;
          w = 0.058;
          h = 0.03;
 };
class TEXT5 :  KI_ADDON_RscText
  {
    idc = 110;
    font = KI_ADDON_FontHTML;
    text = ;    
    sizeEx = 0.025;
          x = 0.346;
          y = 0.26;
          w = 0.058;
          h = 0.03;
 };   
class TEXT6 :  KI_ADDON_RscText
  {
     idc = 111;
     font = KI_ADDON_FontHTML;
     text = ; 
     sizeEx = 0.025;
          x = 0.346;
          y = 0.30;
          w = 0.058;
          h = 0.03;
 }; 
class TEXT7 :  KI_ADDON_RscText
  {
    idc = 112;
    font = KI_ADDON_FontHTML;
    text = ;    
    sizeEx = 0.025;
          x = 0.346;
          y = 0.34;
          w = 0.058;
          h = 0.03;
 };   
class TEXT8 :  KI_ADDON_RscText
  {
     idc = 113;
     font = KI_ADDON_FontHTML;
     text = ; 
     sizeEx = 0.025;
          x = 0.346;
          y = 0.38;
          w = 0.058;
          h = 0.03;
 }; 
class TEXT9 :  KI_ADDON_RscText
  {
    idc = 114;
    font = KI_ADDON_FontHTML;
    text = ;    
    sizeEx = 0.025;
          x = 0.346;
          y = 0.42;
          w = 0.058;
          h = 0.03;
 };   
class TEXT10 :  KI_ADDON_RscText
  {
     idc = 115;
     font = KI_ADDON_FontHTML;
     text = ; 
     sizeEx = 0.025;
          x = 0.346;
          y = 0.46;
          w = 0.058;
          h = 0.03;
 }; 
class TEXT11 :  KI_ADDON_RscText
  {
    idc = 116;
    font = KI_ADDON_FontHTML;
    text = ;    
    sizeEx = 0.025;
          x = 0.346;
          y = 0.50;
          w = 0.058;
          h = 0.03;
 };   
class TEXT12 :  KI_ADDON_RscText
  {
     idc = 117;
     font = KI_ADDON_FontHTML;
     text = ; 
     sizeEx = 0.025;
          x = 0.346;
          y = 0.54;
          w = 0.058;
          h = 0.03;
 };
class TEXT13 :  KI_ADDON_RscText
  {
    idc = 118;
    font = KI_ADDON_FontHTML;
    text = ;    
    sizeEx = 0.025;
          x = 0.346;
          y = 0.58;
          w = 0.058;
          h = 0.03;
 };   
class TEXT14 :  KI_ADDON_RscText
  {
     idc = 119;
     font = KI_ADDON_FontHTML;
     text = ; 
     sizeEx = 0.025;
          x = 0.346;
          y = 0.70;
          w = 0.058;
          h = 0.03;
 }; 
class TEXT15 :  KI_ADDON_RscText
  {
     idc = 120;
     font = KI_ADDON_FontHTML;
     text = ; 
     sizeEx = 0.025;
          x = 0.346;
          y = 0.74;
          w = 0.058;
          h = 0.03;
 }; 
class TEXT16 :  KI_ADDON_RscText
  {
    idc = 121;
    font = KI_ADDON_FontHTML;
    text = ;    
    sizeEx = 0.025;
          x = 0.346;
          y = 0.78;
          w = 0.058;
          h = 0.03;
 };   
class TEXT17 :  KI_ADDON_RscText
  {
     idc = 122;
     font = KI_ADDON_FontHTML;
     text = ; 
     sizeEx = 0.025;
          x = 0.346;
          y = 0.82;
          w = 0.058;
          h = 0.03;
 }; 
  objects[] = { };
  controls[] = {ALARMSCHWELLE,ALARMDAUER,UNTERSTUETZUNG,FAHRZEUGUNTERSTUETZUNG,SUCHRADIUS,EINHEITENAUSTAUSCHEN,LUFTUNTERSTUETZUNG,SUCHRADIUS_HELI,PANZERUNTERSTUETZUNG,SUCHRADIUS_PANZER,NUREINPANZER,PANZERIMMERSUCHEN,HOERWEITE,LEICHENFINDEN,UMSCHAU,TOTEVERBERGEN,KIERWEITERUNGAUS,ORTSGEBUNDENEGEGNER,AKTIVIERTEFAHRZEUGE,MY_EDIT1,MY_EDIT2,MY_EDIT3,MY_EDIT4,MY_EDIT5,MY_EDIT6,MY_EDIT7,MY_EDIT8,MY_EDIT9,MY_EDIT10,MY_EDIT11,MY_EDIT12,MY_EDIT13,MY_EDIT14,MY_EDIT15,MY_NEWDIALOG1,MY_NEWDIALOG2,MY_NEWDIALOG3,MY_NEWDIALOG4,StANDARDWERTE,REFRESH,SCHLIESSEN,MY_BUTTON};
class ALARMSCHWELLE : KI_ADDON_RscActiveText
  {
    idc = 200;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.097;
    w = 0.11;
    h = 0.03;
    text = $STR_Var_Alarmschwelle;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Alarmschwelle"];
    default = true;
  };
class ALARMDAUER : KI_ADDON_RscActiveText
  {
    idc = 201;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.137;
    w = 0.15;
    h = 0.03;
    text = $STR_Var_Alarmdauer;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Alarmdauer"];
    default = true;
  };
class UNTERSTUETZUNG : KI_ADDON_RscActiveText
  {
    idc = 202;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.177;
    w = 0.12;
    h = 0.03;
    text = $STR_Var_Unterstuetzung;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Unterstuetzung"];
    default = true;
  };
class FAHRZEUGUNTERSTUETZUNG : KI_ADDON_RscActiveText
  {
    idc = 203;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.217;
    w = 0.19;
    h = 0.03;
    text = $STR_Var_Fahrzeugunterstuetzung;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Fahrzeugunterstuetzung"];
    default = true;
  };
class SUCHRADIUS : KI_ADDON_RscActiveText
  {
    idc = 204;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.257;
    w = 0.14;
    h = 0.03;
    text = $STR_Var_Suchradius;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_suchradius"];
    default = true;
  };
class EINHEITENAUSTAUSCHEN : KI_ADDON_RscActiveText
  {
    idc = 205;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.297;
    w = 0.175;
    h = 0.03;
    text = $STR_Var_EinheitenAustauschen;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Einheitenaustauschen"];
    default = true;
  };
class LUFTUNTERSTUETZUNG : KI_ADDON_RscActiveText
  {
    idc = 206;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.337;
    w = 0.16;
    h = 0.03;
    text = $STR_Var_Luftunterstuetzung;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Luftunterstuetzung"];
    default = true;
  };
class SUCHRADIUS_HELI : KI_ADDON_RscActiveText
  {
    idc = 207;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.377;
    w = 0.175;
    h = 0.03;
    text = $STR_Var_SuchradiusHeli;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Luftunterstuetzung_suchradius"];
    default = true;
  };
class PANZERUNTERSTUETZUNG : KI_ADDON_RscActiveText
  {
    idc = 208;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.417;
    w = 0.18;
    h = 0.03;
    text = $STR_Var_Panzerunterstuetzung;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Panzerunterstuetzung"];
    default = true;
  };
class SUCHRADIUS_PANZER : KI_ADDON_RscActiveText
  {
    idc = 209;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.457;
    w = 0.19;
    h = 0.03;
    text = $STR_Var_SuchradiusPanzer;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Panzerunterstuetzung_suchradius"];
    default = true;
  };
class NUREINPANZER : KI_ADDON_RscActiveText
  {
    idc = 210;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.497;
    w = 0.13;
    h = 0.03;
    text = $STR_Var_NureinPanzer;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Panzerunterstuetzung_nureinPanzer"];
    default = true;
  };
class PANZERIMMERSUCHEN : KI_ADDON_RscActiveText
  {
    idc = 211;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.537;
    w = 0.18;
    h = 0.03;
    text = $STR_Var_PanzerImmerSuchen;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Panzerunterstuetzung_Panzerimmersuchen"];
    default = true;
  };
class HOERWEITE : KI_ADDON_RscActiveText
  {
    idc = 212;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.577;
    w = 0.17;
    h = 0.03;
    text = $STR_Var_Hoerweite;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Hoerweite"];
    default = true;
  };
class LEICHENFINDEN : KI_ADDON_RscActiveText
  {
    idc = 213;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.617;
    w = 0.16;
    h = 0.03;
    text = $STR_Var_LeichenFinden;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_LeichenFinden"];
    default = true;
  };
class UMSCHAU : KI_ADDON_RscActiveText
  {
    idc = 214;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.657;
    w = 0.16;
    h = 0.03;
    text = $STR_Var_Umschau;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Umschau"];
    default = true;
  };
class TOTEVERBERGEN : KI_ADDON_RscActiveText
  {
    idc = 215;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.697;
    w = 0.13;
    h = 0.03;
    text = $STR_Var_Toteverbergen;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Toteverbergen"];
    default = true;
  };
class KIERWEITERUNGAUS : KI_ADDON_RscActiveText
  {
    idc = 216;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.737;
    w = 0.17;
    h = 0.03;
    text = $STR_Var_KIerweiterungaus;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_KIaus"];
    default = true;
  };
class ORTSGEBUNDENEGEGNER : KI_ADDON_RscActiveText
  {
    idc = 217;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.777;
    w = 0.195;
    h = 0.03;
    text = $STR_Array_OrtsgebundeneGegner;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Ortsgebunden"];
    default = true;
  };
class AKTIVIERTEFAHRZEUGE : KI_ADDON_RscActiveText
  {
    idc = 218;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.817;
    w = 0.15;
    h = 0.03;
    text = $STR_Array_AktivierteFahrzeuge;
    sizeEx = 0.025;
    action = ctrlSetText [105,localize "STR_Einstellungen_info_Fahrzeugklassen"];
    default = true;
  };
class MY_EDIT1 : KI_ADDON_RscEdit
  {
          idc = 301;
          x = 0.418;
          y = 0.1;
          w = 0.05;
          h = 0.03;
          text = ;
  };  
  class MY_EDIT2 : KI_ADDON_RscEdit
  {
          idc = 302;
          x = 0.418;
          y = 0.14;
          w = 0.05;
          h = 0.03;
          text = ;
  }; 
  class MY_EDIT3 : KI_ADDON_RscCombo
  {
          idc = 303;
          x = 0.418;
          y = 0.18;
          w = 0.05;
          h = 0.03;
  };  
  class MY_EDIT4 : KI_ADDON_RscCombo
  {
          idc = 304;
          x = 0.418;
          y = 0.22;
          w = 0.05;
          h = 0.03;
  }; 
  class MY_EDIT5 : KI_ADDON_RscEdit
  {
          idc = 305;
          x = 0.418;
          y = 0.26;
          w = 0.05;
          h = 0.03;
          text = ;
  };  
  class MY_EDIT6 : KI_ADDON_RscCombo
  {
          idc = 306;
          x = 0.418;
          y = 0.3;
          w = 0.05;
          h = 0.03;
  }; 
  class MY_EDIT7 : KI_ADDON_RscCombo
  {
          idc = 307;
          x = 0.418;
          y = 0.34;
          w = 0.05;
          h = 0.03;
  };  
  class MY_EDIT8 : KI_ADDON_RscEdit
  {
          idc = 308;
          x = 0.418;
          y = 0.38;
          w = 0.05;
          h = 0.03;
          text = ;
  }; 
  class MY_EDIT9 : KI_ADDON_RscCombo
  {
          idc = 309;
          x = 0.418;
          y = 0.42;
          w = 0.05;
          h = 0.03;
  };  
  class MY_EDIT10 : KI_ADDON_RscEdit
  {
          idc = 310;
          x = 0.418;
          y = 0.46;
          w = 0.05;
          h = 0.03;
          text = ;
  }; 
  class MY_EDIT11 : KI_ADDON_RscCombo
  {
          idc = 311;
          x = 0.418;
          y = 0.5;
          w = 0.05;
          h = 0.03;
  };  
  class MY_EDIT12 : KI_ADDON_RscCombo
  {
          idc = 312;
          x = 0.418;
          y = 0.54;
          w = 0.05;
          h = 0.03;
  }; 
  class MY_EDIT13 : KI_ADDON_RscEdit
  {
          idc = 313;
          x = 0.418;
          y = 0.58;
          w = 0.05;
          h = 0.03;
          text = ;
  };  
  class MY_EDIT14 : KI_ADDON_RscCombo
  {
          idc = 314;
          x = 0.418;
          y = 0.7;
          w = 0.05;
          h = 0.03;
  }; 
  class MY_EDIT15 : KI_ADDON_RscCombo
  {
          idc = 315;
          x = 0.418;
          y = 0.74;
          w = 0.05;
          h = 0.03;
  }; 
  class MY_NEWDIALOG1 :  KI_ADDON_RscButton
  {
    idc = 318;
    x = 0.418;
    y = 0.78;
    w = 0.05;
    h = 0.03;
    text = "Dialog";
    font = KI_ADDON_FontM;    
    sizeEx = 0.02;
    action = "createdialog {ORTSGEBUNDEN};ctrlSetText [128,format [{%1},StringOrtsgebunden]]";
  };  
  class MY_NEWDIALOG2 : KI_ADDON_RscButton
  {
          idc = 319;
          x = 0.418;
          y = 0.82;
          w = 0.05;
          h = 0.03;
         text = "Dialog";
         font = KI_ADDON_FontM;
         sizeEx = 0.02;
         action = [2] exec "KI_Addon1.8\createDialog.sqs";
  };
  class MY_NEWDIALOG3 :  KI_ADDON_RscButton
  {
    idc = 320;
    x = 0.418;
    y = 0.62;
    w = 0.05;
    h = 0.03;
    text = "Dialog";
    font = KI_ADDON_FontM;    
    sizeEx = 0.02;
    action = [3] exec "KI_Addon1.8\createDialog.sqs";
  };  
  class MY_NEWDIALOG4 :  KI_ADDON_RscButton
  {
    idc = 321;
    x = 0.418;
    y = 0.66;
    w = 0.05;
    h = 0.03;
    text = "Dialog";
    font = KI_ADDON_FontM;    
    sizeEx = 0.02;
    action = createdialog "UMSCHAU";
  };  
class STANDARDWERTE : KI_ADDON_RscButton
  {
          idc = 400;
          x = 0.145;
          y = 0.87;
          w = 0.184;
          h = 0.04;
          text = $STR_Button_Werte;
          action = "[] exec {KI_Addon1.8\Standard.sqs};[1] exec {KI_Addon1.8\createDialog.sqs}";
  };
class REFRESH : KI_ADDON_RscButton
  {
          idc = 401;
          x = 0.338;
          y = 0.87;
          w = 0.2;
          h = 0.04;
          text = $STR_Button_Werteaktualisieren;
          action = [0] exec "KI_Addon1.8\createDialog.sqs";
  };
class SCHLIESSEN : KI_ADDON_RscButton
  {
          idc = 402;
          x = 0.547;
          y = 0.87;
          w = 0.15;
          h = 0.04;
          text = $STR_Button_Schliessen;
          action = closedialog 0;
  };
class MY_BUTTON : KI_ADDON_RscButton
  {
          idc = 402;
          x = 0.705;
          y = 0.87;
          w = 0.15;
          h = 0.04;
          text = $STR_Button_Speichern;
          action = [0] exec "KI_Addon1.8\Wertesetzen.sqs";
  };
};
class LEICHEN_FINDEN
{
  idd = -1;
  movingEnable = true;
  controlsBackground[] = {MY_BACKGROUND_L1,MY_BACKGROUND_INFO_L1,MY_BACKGROUND_AKTUELL_L1,MY_FRAME_L1,MY_FRAME_L2,MY_FRAME_L3,MY_FRAME_L4,INFO_L1,TEXT18,TEXT18B,TEXT19,TEXT20,TEXT21};
  class MY_BACKGROUND_L1 : KI_ADDON_RscText
  {
     colorBackground[] = {0.3, 0.33, 0.3, 0.9};
     text = ;
     x = 0.125;
     y = 0.535;
     w = 0.343;
     h = 0.352;
  };  
  class MY_BACKGROUND_INFO_L1 : KI_ADDON_RscText
  {
     idc = 01
     colorBackground[] = {0.6, 0.63, 0.6, 0.8};
     text = ;
     x = 0.475;
     y = 0.081;
     w = 0.38;
     h = 0.779;
  };
  class MY_BACKGROUND_AKTUELL_L1 : KI_ADDON_RscText
  {
     colorBackground[] = {0.6, 0.63, 0.6, 0.7};
     text = ;
      x = 0.308;
     y = 0.582;
     w = 0.073;
     h = 0.218;
  };
class MY_FRAME_L1 : KI_ADDON_RscText
  {
     idc = 800;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_LeichenFinden;
     sizeEx = 0.025;
     x = 0.135;
     y = 0.54;
     w = 0.322;
     h = 0.33;
  };
class MY_FRAME_L2 : KI_ADDON_RscText
  {
     idc = 801;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = "Info";
     sizeEx = 0.025;
     x = 0.475;
     y = 0.07;
     w = 0.38;
     h = 0.79;
  };
   class MY_FRAME_L3 : KI_ADDON_RscText
  {
     idc = 802;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_Einstellungen_Aktuell;
     sizeEx = 0.025;
     x = 0.308;
     y = 0.57;
     w = 0.073;
     h = 0.23;
  };
   class MY_FRAME_L4 : KI_ADDON_RscText
  {
     idc = 803;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_Einstellungen_Neu;
     sizeEx = 0.025;
     x = 0.383;
     y = 0.57;
     w = 0.06;
     h = 0.23;
  }; 
  class INFO_L1 :  KI_ADDON_RscMulti
  {
    idc = 123;
    style = KI_ADDON_ST_MULTI;
    text = ;
    font = KI_ADDON_FontHTML;
    sizeEx = 0.023;
    x = 0.485;
    y = 0.10;
    w = 0.36;
    h = 0.76;
 }; 
class TEXT18 :  KI_ADDON_RscText
  {
     idc = 124;
     font = KI_ADDON_FontHTML;
     text = ; 
     sizeEx = 0.025;
          x = 0.316;
          y = 0.6;
          w = 0.058;
          h = 0.03;
 }; 
class TEXT18B :  KI_ADDON_RscText
  {
     idc = 1240;
     font = KI_ADDON_FontHTML;
     text = ; 
     sizeEx = 0.025;
          x = 0.316;
          y = 0.64;
          w = 0.058;
          h = 0.03;
 };
class TEXT19 :  KI_ADDON_RscText
  {
    idc = 125;
    font = KI_ADDON_FontHTML;
    text = ;    
    sizeEx = 0.025;
          x = 0.316;
          y = 0.68;
          w = 0.058;
          h = 0.03;
 }; 
class TEXT20 :  KI_ADDON_RscText
  {
     idc = 126;
     font = KI_ADDON_FontHTML;
     text = ; 
     sizeEx = 0.025;
          x = 0.316;
          y = 0.72;
          w = 0.058;
          h = 0.03;
 }; 
class TEXT21 :  KI_ADDON_RscText
  {
    idc = 127;
    font = KI_ADDON_FontHTML;
    text = ;    
    sizeEx = 0.025;
          x = 0.316;
          y = 0.76;
          w = 0.058;
          h = 0.03;
 }; 
  objects[] = { };
  controls[] = {REAKTIONSABSTAND,REAKTIONAB,SICHTWEITE,SICHTFELD,NULLABSTAND,SCHLIESSEN_L1,SPEICHERN_L1,MY_EDIT16,MY_EDIT16B,MY_EDIT17,MY_EDIT18,MY_EDIT19};
class REAKTIONSABSTAND : KI_ADDON_RscActiveText
  {
    idc = 219;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.597;
    w = 0.16;
    h = 0.03;
    text = $STR_Var_Reaktionsabstand;
    sizeEx = 0.025;
    action =  "CtrlShow [01,true];CtrlShow [801,true];ctrlSetText [123,localize {STR_Einstellungen_info_Reaktionsabstand}]";
    default = true;
  };
class REAKTIONAB : KI_ADDON_RscActiveText
  {
    idc = 2180;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.637;
    w = 0.16;
    h = 0.03;
    text = $STR_Var_ReaktionAb;
    sizeEx = 0.025;
    action =  "CtrlShow [01,true];CtrlShow [801,true];ctrlSetText [123,localize {STR_Einstellungen_info_ReaktionAb}]";
    default = true;
  };
class SICHTWEITE : KI_ADDON_RscActiveText
  {
    idc = 220;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.677;
    w = 0.16;
    h = 0.03;
    text = $STR_Var_Sichtweite;
    sizeEx = 0.025;
    action = "CtrlShow [01,true];CtrlShow [801,true];ctrlSetText [123,localize {STR_Einstellungen_info_Sichtweite}]";
    default = true;
  };
class SICHTFELD : KI_ADDON_RscActiveText
  {
    idc = 221;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.717;
    w = 0.13;
    h = 0.03;
    text = $STR_Var_Sichtfeld;
    sizeEx = 0.025;
    action = "CtrlShow [01,true];CtrlShow [801,true];ctrlSetText [123,localize {STR_Einstellungen_info_Sichtfeld}]";
    default = true;
  };
class NULLABSTAND : KI_ADDON_RscActiveText
  {
    idc = 222;
    style = KI_ADDON_ST_LEFT;
    x = 0.14;
    y = 0.757;
    w = 0.17;
    h = 0.03;
    text = $STR_Var_NullAbstand;
    sizeEx = 0.025;
    action = "CtrlShow [01,true];CtrlShow [801,true];ctrlSetText [123,localize {STR_Einstellungen_info_Nullabstand}]";
    default = true;
  };
  class MY_EDIT16 : KI_ADDON_RscEdit
  {
          idc = 316;
          x = 0.388;
          y = 0.6;
          w = 0.05;
          h = 0.03;
          text = ;
  };
  class MY_EDIT16B : KI_ADDON_RscEdit
  {
          idc = 3160;
          x = 0.388;
          y = 0.64;
          w = 0.05;
          h = 0.03;
          text = ;
  };  
  class MY_EDIT17 : KI_ADDON_RscEdit
  {
          idc = 317;
          x = 0.388;
          y = 0.68;
          w = 0.05;
          h = 0.03;
          text = ;
  };  
  class MY_EDIT18 : KI_ADDON_RscEdit
  {
          idc = 318;
          x = 0.388;
          y = 0.72;
          w = 0.05;
          h = 0.03;
          text = ;
  }; 
  class MY_EDIT19 : KI_ADDON_RscEdit
  {
          idc = 319;
          x = 0.388;
          y = 0.76;
          w = 0.05;
          h = 0.03;
          text = ;
  };  
class SCHLIESSEN_L1 : KI_ADDON_RscButton
  {
          idc = 407;
          x = 0.148;
          y = 0.816;
          w = 0.137;
          h = 0.04;
          text = $STR_Button_Schliessen;
          action = closedialog 0;
  };
class SPEICHERN_L1 : KI_ADDON_RscButton
  {
          idc = 408;
          x = 0.308;
          y = 0.816;
          w = 0.137;
          h = 0.04;
          text = $STR_Button_Speichern;
          action = [1] exec "KI_Addon1.8\Wertesetzen.sqs";
  };
};
class UMSCHAU
{
  idd = -1;
  movingEnable = true;
  controlsBackground[] = {MY_BACKGROUND_U1,MY_BACKGROUND_EDIT_U1,MY_BACKGROUND_EDIT_U2,MY_FRAME_U1,MY_FRAME_U2,MY_FRAME_U3,MY_FRAME_U4,TEXT_U1,TEXT_U2}; 
class MY_BACKGROUND_U1 : KI_ADDON_RscText
  {
     colorBackground[] = {0.3, 0.33, 0.3, 0.9};
     text = ;
     x = 0.2;
     y = 0.254;
     w = 0.55;
     h = 0.32;
  };
class MY_BACKGROUND_EDIT_U1 : KI_ADDON_RscText
  {
     colorBackground[] = {0.5, 0.53, 0.5, 0.8};
     text = ;
     x = 0.22;
     y = 0.301;
     w = 0.51;
     h = 0.059;
  };
class MY_BACKGROUND_EDIT_U2 : KI_ADDON_RscText
  {
     colorBackground[] = {0.5, 0.53, 0.5, 0.8};
     text = ;
     x = 0.22;
     y = 0.441;
     w = 0.51;
     h = 0.059;
  };
  class MY_FRAME_U1 : KI_ADDON_RscText
  {
     idc = 001;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_Name;
     sizeEx = 0.021;
     x = 0.22;
     y = 0.29;
     w = 0.51;
     h = 0.07;
  };
  class MY_FRAME_U2 : KI_ADDON_RscText
  {
     idc = 002;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_UmschauW;
     sizeEx = 0.025;
     x = 0.21;
     y = 0.26;
     w = 0.53;
     h = 0.12;
  };
  class MY_FRAME_U3 : KI_ADDON_RscText
  {
     idc = 003;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_UmschauEW;
     sizeEx = 0.025;
     x = 0.21;
     y = 0.4;
     w = 0.53;
     h = 0.12;
  };
  class MY_FRAME_U4 : KI_ADDON_RscText
  {
     idc = 004;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_Name;
     sizeEx = 0.021;
     x = 0.22;
     y = 0.43;
     w = 0.51;
     h = 0.07;
  };
class TEXT_U1 :  KI_ADDON_RscText
  {
     idc = 005;
     font = KI_ADDON_FontHTML;
     text = $STR_Var_Winkel; 
     sizeEx = 0.025;
          x = 0.41;
          y = 0.32;
          w = 0.07;
          h = 0.03;
 }; 
class TEXT_U2 :  KI_ADDON_RscText
  {
     idc = 006;
     font = KI_ADDON_FontHTML;
     text = $STR_Var_Winkel; 
     sizeEx = 0.025;
          x = 0.41;
          y = 0.46;
          w = 0.07;
          h = 0.03;
 }; 
  objects[] = { };
  controls[] = {MY_EDIT_U1,MY_EDIT_U11,MY_EDIT_U2,MY_EDIT_U21,START_U1,START_U2,SCHLIESSEN_U1};
  class MY_EDIT_U1 : KI_ADDON_RscEdit
  {
          idc = 010;
          x = 0.23;
          y = 0.32;
          w = 0.17;
          h = 0.03;
  };
  class MY_EDIT_U11 : KI_ADDON_RscEdit
  {
          idc = 011;
          x = 0.49;
          y = 0.32;
          w = 0.05;
          h = 0.03;
  };
class START_U1 : KI_ADDON_RscButton
  {
          idc = 020;
          colorText[] = {0.1, 0.1, 0.1, 1};
          x = 0.58;
          y = 0.31;
          w = 0.14;
          h = 0.04;
          text = $STR_Button_Start;
          action = [2] exec {KI_Addon1.8\Wertesetzen.sqs};
  }; 
  class MY_EDIT_U2 : KI_ADDON_RscEdit
  {
          idc = 012;
          x = 0.23;
          y = 0.46;
          w = 0.17;
          h = 0.03;
  };
  class MY_EDIT_U21 : KI_ADDON_RscEdit
  {
          idc = 013;
          x = 0.49;
          y = 0.46;
          w = 0.05;
          h = 0.03;
  };
class START_U2 : KI_ADDON_RscButton
  {
          idc = 021;
          colorText[] = {0.1, 0.1, 0.1, 1};
          x = 0.58;
          y = 0.45;
          w = 0.14;
          h = 0.04;
          text = $STR_Button_Start;
          action = [3] exec {KI_Addon1.8\Wertesetzen.sqs}; 
  }; 
class SCHLIESSEN_U1 : KI_ADDON_RscButton
  {
          idc = 022;
          colorText[] = {0.1, 0.1, 0.1, 1};
          x = 0.21;
          y = 0.53;
          w = 0.53;
          h = 0.03;
          text = $STR_Button_Schliessen;
          action = closedialog 0;
  };
}; 
class ORTSGEBUNDEN
{
  idd = -1;
  movingEnable = true;
  controlsBackground[] = {MY_BACKGROUND2,MY_BACKGROUND_ARRAY,MY_BACKGROUND_EDIT,MY_FRAME5,MY_FRAME6,MY_FRAME7,NAMEN,TEXTHINWEIS}; 
class MY_BACKGROUND2 : KI_ADDON_RscText
  {
     colorBackground[] = {0.3, 0.33, 0.3, 0.9};
     text = ;
     x = 0.2;
     y = 0.254;
     w = 0.55;
     h = 0.41;
  };
class MY_BACKGROUND_ARRAY : KI_ADDON_RscText
  {
     colorBackground[] = {0.6, 0.63, 0.6, 0.8};
     text = ;
     x = 0.22;
     y = 0.391;
     w = 0.51;
     h = 0.199;
  };
class MY_BACKGROUND_EDIT : KI_ADDON_RscText
  {
     colorBackground[] = {0.5, 0.53, 0.5, 0.8};
     text = ;
     x = 0.22;
     y = 0.301;
     w = 0.51;
     h = 0.059;
  };
  class MY_FRAME5 : KI_ADDON_RscText
  {
     idc = 125;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_Ortsgebunden;
     sizeEx = 0.025;
     x = 0.21;
     y = 0.26;
     w = 0.53;
     h = 0.39;
  };
  class MY_FRAME6 : KI_ADDON_RscText
  {
     idc = 126;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_Name;
     sizeEx = 0.021;
     x = 0.22;
     y = 0.29;
     w = 0.51;
     h = 0.07;
  };
  class MY_FRAME7 : KI_ADDON_RscText
  {
     idc = 127;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = $STR_Frame_Liste;
     sizeEx = 0.02;
     x = 0.22;
     y = 0.38;
     w = 0.51;
     h = 0.21;
  };
class NAMEN :  KI_ADDON_RscMulti
  {
    idc = 128;
    style = KI_ADDON_ST_MULTI;
    font = KI_ADDON_FontHTML;
    text = ;    
    sizeEx = 0.02;
          x = 0.22;
          y = 0.405;
          w = 0.5;
          h = 0.18;
 };
class TEXTHINWEIS : KI_ADDON_RscMulti
  {
    idc = 129;
    style = KI_ADDON_ST_MULTI;
    font = KI_ADDON_FontHTML;
    text = $STR_Frame_Hinweis1;    
    colorText[] = {0.5, 0, 0, 1};
    sizeEx = 0.018;
          x = 0.38;
          y = 0.591;
          w = 0.24;
          h = 0.06;
 };   
  objects[] = { };
  controls[] = {MY_EDIT20,HINZUFUEGEN,LOESCHEN,ALLELOESCHEN,SCHLIESSEN};
  class MY_EDIT20 : KI_ADDON_RscEdit
  {
          idc = 320;
          x = 0.23;
          y = 0.32;
          w = 0.17;
          h = 0.03;
  };
class HINZUFUEGEN : KI_ADDON_RscButton
  {
          idc = 403;
          colorText[] = {0.1, 0.1, 0.1, 1};
          x = 0.43;
          y = 0.31;
          w = 0.14;
          h = 0.04;
          text = $STR_Button_Ortsgebunden_hinzu;
          action = [1] exec "KI_Addon1.8\Ortsgebunden.sqs" ;
  }; 
class LOESCHEN : KI_ADDON_RscButton
  {
          idc = 404;
          colorText[] = {0.1, 0.1, 0.1, 1};
          x = 0.58;
          y = 0.31;
          w = 0.14;
          h = 0.04;
          text = $STR_Button_Ortsgebunden_loeschen;
          action = [2] exec "KI_Addon1.8\Ortsgebunden.sqs";
  };   
class ALLELOESCHEN : KI_ADDON_RscButton
  {
          idc = 405;
          x = 0.22;
          y = 0.60;
          w = 0.15;
          h = 0.04;
          text = $STR_Button_Ortsgebunden_loeschenalles;
          action = [0] exec "KI_Addon1.8\Ortsgebunden.sqs";
  };  
class SCHLIESSEN : KI_ADDON_RscButton
  {
          idc = 406;
          x = 0.59;
          y = 0.6;
          w = 0.14;
          h = 0.04;
          text = $STR_Button_Ortsgebunden_schliessen;
          action = closedialog 0;
  };  
};
class AKTIVIERTEFAHRZEUGE
{
  idd = -1;
  movingEnable = true;
  controlsBackground[] = {MY_BACKGROUND3,MY_BACKGROUND4,MY_FRAME8,FAHRZEUG1,FAHRZEUG2,FAHRZEUG3,FAHRZEUG4,FAHRZEUG5,CHECK1,CHECK2,CHECK3,CHECK4,CHECK5,TEXTHINWEIS2}; 
class MY_BACKGROUND3 : KI_ADDON_RscText
  {
     colorBackground[] = {0.3, 0.33, 0.3, 0.9};
     text = ;
     x = 0.2;
     y = 0.254;
     w = 0.55;
     h = 0.41;
  };
class MY_BACKGROUND4 : KI_ADDON_RscText
  {
     colorBackground[] = {0.45, 0.48, 0.45, 0.8};
     text = ;
     x = 0.21;
     y = 0.275;
     w = 0.53;
     h = 0.375;
  };
  class MY_FRAME8 : KI_ADDON_RscText
  {
     idc = 500;
     style = KI_ADDON_ST_FRAME;
     colorText[] = {0.9, 0.9, 0.9, 1};
     text = $STR_Frame_Fahrzeuge_AktivierbareFahrzeugklassen;
     sizeEx = 0.025;
     x = 0.21;
     y = 0.26;
     w = 0.53;
     h = 0.39;
  };
class FAHRZEUG1 :  KI_ADDON_RscText
  {
    idc = 501;
    style = KI_ADDON_ST_LEFT;
    font = KI_ADDON_FontHTML;
    colorText[] = {0.1, 0.1, 0.1, 1};
    text = $STR_Frame_Fahrzeuge_Truck;    
    sizeEx = 0.025;
          x = 0.24;
          y = 0.30;
          w = 0.23;
          h = 0.03;
 }; 
class FAHRZEUG2 :  KI_ADDON_RscText
  {
    idc = 502;
    style = KI_ADDON_ST_LEFT;
    font = KI_ADDON_FontHTML;
    colorText[] = {0.1, 0.1, 0.1, 1};
    text = $STR_Frame_Fahrzeuge_UAZ;    
    sizeEx = 0.025;
          x = 0.24;
          y = 0.35;
          w = 0.22;
          h = 0.03;
 };  
class FAHRZEUG3 :  KI_ADDON_RscText
  {
    idc = 503;
    style = KI_ADDON_ST_LEFT;
    font = KI_ADDON_FontHTML;
    colorText[] = {0.1, 0.1, 0.1, 1};
    text = $STR_Frame_Fahrzeuge_UAZG;    
    sizeEx = 0.025;
          x = 0.24;
          y = 0.40;
          w = 0.22;
          h = 0.03;
 }; 
class FAHRZEUG4 :  KI_ADDON_RscText
  {
    idc = 504;
    style = KI_ADDON_ST_LEFT;
    font = KI_ADDON_FontHTML;
    colorText[] = {0.1, 0.1, 0.1, 1};
    text = "GJeep (FIA Jeep)";    
    sizeEx = 0.025;
          x = 0.24;
          y = 0.45;
          w = 0.22;
          h = 0.03;
 };
class FAHRZEUG5 :  KI_ADDON_RscText
  {
    idc = 505;
    style = KI_ADDON_ST_LEFT;
    font = KI_ADDON_FontHTML;
    colorText[] = {0.1, 0.1, 0.1, 1};
    text = "Jeep";    
    sizeEx = 0.025;
          x = 0.24;
          y = 0.50;
          w = 0.22;
          h = 0.03;
 }; 
class CHECK1 :  KI_ADDON_RscText
  {
    idc = 513;
    style = KI_ADDON_ST_LEFT;
    font = KI_ADDON_FontHTML;
    colorText[] = {0.9, 0.9, 0.9, 1};
    text = ;    
    sizeEx = 0.035;
          x = 0.22;
          y = 0.30;
          w = 0.02;
          h = 0.03;
 };
class CHECK2 :  KI_ADDON_RscText
  {
    idc = 514;
    style = KI_ADDON_ST_LEFT;
    font = KI_ADDON_FontHTML;
    colorText[] = {0.9, 0.9, 0.9, 1};
    text = ;    
    sizeEx = 0.035;
          x = 0.22;
          y = 0.35;
          w = 0.02;
          h = 0.03;
 };
class CHECK3 :  KI_ADDON_RscText
  {
    idc = 515;
    style = KI_ADDON_ST_LEFT;
    font = KI_ADDON_FontHTML;
    colorText[] = {0.9, 0.9, 0.9, 1};
    text = ;    
    sizeEx = 0.035;
          x = 0.22;
          y = 0.40;
          w = 0.02;
          h = 0.03;
 };
class CHECK4 :  KI_ADDON_RscText
  {
    idc = 516;
    style = KI_ADDON_ST_LEFT;
    font = KI_ADDON_FontHTML;
    colorText[] = {0.9, 0.9, 0.9, 1};
    text = ;    
    sizeEx = 0.035;
          x = 0.22;
          y = 0.45;
          w = 0.02;
          h = 0.03;
 };
class CHECK5 :  KI_ADDON_RscText
  {
    idc = 517;
    style = KI_ADDON_ST_LEFT;
    font = KI_ADDON_FontHTML;
    colorText[] = {0.9, 0.9, 0.9, 1};
    text = ;    
    sizeEx = 0.035;
          x = 0.22;
          y = 0.50;
          w = 0.02;
          h = 0.03;
 };
class TEXTHINWEIS2 : KI_ADDON_RscMulti
  {
    idc = 518;
    style = KI_ADDON_ST_MULTI;
    font = KI_ADDON_FontHTML;
    text = $STR_Frame_Hinweis2;    
    colorText[] = {0.5, 0, 0, 1};
    sizeEx = 0.02;
          x = 0.49;
          y = 0.30;
          w = 0.25;
          h = 0.18;
 }
  objects[] = { };
  controls[] = {ZURUECKSETZEN,SCHLIESSEN2,CHECK1_1,CHECK2_1,CHECK3_1,CHECK4_1,CHECK5_1};
class CHECK1_1 : KI_ADDON_RscActiveText
  {
    idc = 600;
    style = KI_ADDON_ST_RIGHT;
    color[] = {0, 0, 0, 0};
    colorActive[] = {0, 0, 0, 0};
    x = 0.20;
    y = 0.295;
    w = 0.04;
    h = 0.03;
    text = "  ";
    sizeEx = 0.02;
    action = "CtrlSetText [513,{x}];{if ({Truck} counttype [_x] == 1 && not (_x in OrtsgebundeneGegner) && not (_x in AktivierteFahrzeuge)) then {AktivierteFahrzeuge = AktivierteFahrzeuge + [_x]} else {}} foreach Feinde";
    default = true;
  };
class CHECK2_1 : KI_ADDON_RscActiveText
  {
    idc = 601;
    style = KI_ADDON_ST_RIGHT;
    color[] = {0, 0, 0, 0};
    colorActive[] = {0, 0, 0, 0};
    x = 0.20;
    y = 0.345;
    w = 0.04;
    h = 0.03;
    text = "  ";
    sizeEx = 0.02;
    action = "CtrlSetText [514,{x}];{if ({UAZ} counttype [_x] == 1 && not (_x in OrtsgebundeneGegner) && not (_x in AktivierteFahrzeuge)) then {AktivierteFahrzeuge = AktivierteFahrzeuge + [_x]} else {}} foreach Feinde";
    default = true;
  };
class CHECK3_1 : KI_ADDON_RscActiveText
  {
    idc = 602;
    style = KI_ADDON_ST_RIGHT;
    color[] = {0, 0, 0, 0};
    colorActive[] = {0, 0, 0, 0};
    x = 0.20;
    y = 0.395;
    w = 0.04;
    h = 0.03;
    text = "  ";
    sizeEx = 0.02;
    action = "CtrlSetText [515,{x}];{if ({UAZG} counttype [_x] == 1 && not (_x in OrtsgebundeneGegner) && not (_x in AktivierteFahrzeuge)) then {AktivierteFahrzeuge = AktivierteFahrzeuge + [_x]} else {}} foreach Feinde";
    default = true;
  };
class CHECK4_1 : KI_ADDON_RscActiveText
  {
    idc = 603;
    style = KI_ADDON_ST_RIGHT;
    color[] = {0, 0, 0, 0};
    colorActive[] = {0, 0, 0, 0};
    x = 0.20;
    y = 0.445;
    w = 0.04;
    h = 0.03;
    text = "  ";
    sizeEx = 0.02;
    action = "CtrlSetText [516,{x}];{if ({GJeep} counttype [_x] == 1 && not (_x in OrtsgebundeneGegner) && not (_x in AktivierteFahrzeuge)) then {AktivierteFahrzeuge = AktivierteFahrzeuge + [_x]} else {}} foreach Feinde";
    default = true;
  };
class CHECK5_1 : KI_ADDON_RscActiveText
  {
    idc = 604;
    style = KI_ADDON_ST_RIGHT;
    color[] = {0, 0, 0, 0};
    colorActive[] = {0, 0, 0, 0};
    x = 0.20;
    y = 0.495;
    w = 0.04;
    h = 0.03;
    text = "  ";
    sizeEx = 0.02;
    action = "CtrlSetText [517,{x}];{if ({Jeep} counttype [_x] == 1 && not (_x in OrtsgebundeneGegner) && not (_x in AktivierteFahrzeuge)) then {AktivierteFahrzeuge = AktivierteFahrzeuge + [_x]} else {}} foreach Feinde";
    default = true;
  };
class ZURUECKSETZEN : KI_ADDON_RscButton
  {
          idc = 700;
          x = 0.22;
          y = 0.60;
          w = 0.15;
          h = 0.04;
          text = $STR_Button_Fahrzeuge_zuruecksetzen;
          action = "AktivierteFahrzeuge = [];ctrlSetText [513,{O}];ctrlSetText [514,{O}];ctrlSetText [515,{O}];ctrlSetText [516,{O}];ctrlSetText [517,{O}]";
  };  
class SCHLIESSEN2 : KI_ADDON_RscButton
  {
          idc = 701;
          x = 0.59;
          y = 0.6;
          w = 0.14;
          h = 0.04;
          text = $STR_Button_Fahrzeuge_schliessen;
          action = closedialog 2;
  }; 
};