#define UNITINFOFontM "tahomaB36"
#define UNITINFOFontHTML "CourierNewB64"

#define UNITINFO_ST_HPOS       0x0F
#define UNITINFO_ST_LEFT       0
#define UNITINFO_ST_RIGHT      1
#define UNITINFO_ST_CENTER     2
#define UNITINFO_ST_FRAME   64

#define UNITINFO_CT_STATIC     0
#define UNITINFO_CT_EDIT    	2
#define UNITINFO_CT_SLIDER	  3
#define UNITINFO_CT_LISTBOX   5
#define UNITINFO_CT_BUTTON   1
#define UNITINFO_CT_ACTIVETEXT 11

class UNITINFORscText
{
        type = UNITINFO_CT_STATIC;
        idc = -1;
        style = UNITINFO_ST_LEFT;
        colorBackground[] = {0,0,0,0};
        colorText[] = {0, 0, 0, 1};
        font = UNITINFOFontM;
        sizeEx = 0.04;
};
class UNITINFO_RscActiveText
{
        type = UNITINFO_CT_ACTIVETEXT;
        idc = -1;
        style = UNITINFO_ST_LEFT;
        color[] = {0.9, 1, 0.9, 0.9};
        colorActive[] = {0.1, 0.1, 0.1, 1};
        font = UNITINFOFontM;
        sizeEx = 0.04;
        soundEnter[] = {"ui\ui_over", 0.2, 1};
        soundPush[] = {, 0.2, 1};
        soundClick[] = {"ui\ui_ok", 0.2, 1};
        soundEscape[] = {"ui\ui_cc", 0.2, 1};
        default = false;
}; 
class UNITINFORscEdit
{
       type = UNITINFO_CT_EDIT;
       idc = -1;
       style = UNITINFO_ST_LEFT;
       font = UNITINFOFontHTML;
       sizeEx = 0.022;
       colorText[] = {1, 1, 1, 1};
       colorSelection[] = {0.2, 0.2, 0.2, 1};
       autocomplete = false;
       text = ;
};
class UNITINFORscLB_C
{
        style = UNITINFO_ST_LEFT;
        idc = -1;
        colorSelect[] = {0.4, 0.4, 0.4, 1};
        colorSelectBackground[] = {0.2, 0.2, 0.2, 1};
        colorText[] = {1, 1, 1, 1};
        colorBackground[] = {0.4, 0.4, 0.4, 1};
        font = UNITINFOFontHTML;
        sizeEx = 0.015;
        rowHeight = 0.02;
};
class UNITINFORscListbox : UNITINFORscLB_C
{
        type = UNITINFO_CT_LISTBOX;
        wholeHeight = 0.18;
};
class UNITINFORscSliderH
{
	    type = UNITINFO_CT_SLIDER;
	    style = UNITINFO_ST_HPOS;
	    color[] = {1, 1, 1, 1};
	    idc = -1;
	    sizeEx = 0.025;
};
class UNITINFORscSliderV
{
	    type = UNITINFO_CT_SLIDER;
	    style = UNITINFO_ST_LEFT;
	    color[] = {1, 1, 1, 1};
	    idc = -1;
	    sizeEx = 0.025;
};
class UNITINFORscButton
{
        type = UNITINFO_CT_BUTTON;
        idc = -1;
        style = UNITINFO_ST_CENTER;
        colorText[] = {0.9, 0.9, 0.9, 1};
        font = UNITINFOFontHTML;
        sizeEx = 0.025;
        soundPush[] = {, 0.2, 1};
        soundClick[] = {"ui\ui_ok", 0.2, 1};
        soundEscape[] = {"ui\ui_cc", 0.2, 1};
        default = false;
};
class UNITINFOCONSOLE
{
  idd = -1;
  movingEnable = true;
  controlsBackground[] = { MY_BACKGROUND1,MY_BACKGROUND2,MY_BACKGROUND3,MY_FRAME1,MY_FRAME2,MY_FRAME3,TEXT_ZAHL,TEXT_WAIT};
  class MY_BACKGROUND1 : UNITINFORscText
  {
     idc = 9
     colorBackground[] = {0.3, 0.33, 0.3, 0.9};
     text = ;
     x = 0.7275;
     y = 0.793;
     w = 0.253;
     h = 0.187;
  };
  class MY_BACKGROUND2 : UNITINFORscText
  {
     idc = 10
     colorBackground[] = {0.5, 0.5, 0.5, 0.5};
     text = ;
     x = 0.782;
     y = 0.025;
     w = 0.198;
     h = 0.113;
  }
  class MY_BACKGROUND3 : UNITINFORscText
  {
     idc = 11
     colorBackground[] = {0.5, 0.5, 0.5, 0.5};
     text = ;
     x = 0.782;
     y = 0.142;
     w = 0.198;
     h = 0.035;
  }
  class MY_FRAME1 : UNITINFORscText
  {
     idc = 101;
     style = UNITINFO_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = Unit Info;
     sizeEx = 0.023;
     x = 0.728;
     y = 0.78;
     w = 0.252;
     h = 0.2;
  };
  class MY_FRAME2 : UNITINFORscText
  {
     idc = 102;
     style = UNITINFO_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = Camera;
     sizeEx = 0.023;
     x = 0.782;
     y = 0.0132;
     w = 0.198;
     h = 0.125;
  };
  class MY_FRAME3 : UNITINFORscText
  {
     idc = 103;
     style = UNITINFO_ST_FRAME;
     colorText[] = {1, 1, 1, 1};
     text = ;
     sizeEx = 0.023;
     x = 0.782;
     y = 0.142;
     w = 0.198;
     h = 0.035;
  };
class TEXT_WAIT :  UNITINFORscText
  {
    idc = 200;
    text = Bitte warten.../Please wait...;    
    sizeEx = 0.025;
          x = 0.735;
          y = 0.84;
          w = 0.225;
          h = 0.05;
 };
class TEXT_ZAHL :  UNITINFORscText
  {
    idc = 204;
    style = UNITINFO_ST_RIGHT;
    colorText[] = {0.9, 0.9, 0.9, 1};
    text = ;    
    sizeEx = 0.016;
          x = 0.88;
          y = 0.79;
          w = 0.1;
          h = 0.02;
 };
  objects[] = { };
  controls[] = {TEXT_X,TEXT_Y,TEXT_Z,MY_LISTBOX,MY_EDIT1,MY_EDIT2,MY_EDIT3,MY_EDIT4,MY_BUTTON1,MY_BUTTON2,MY_BUTTON3,MY_BUTTON4,MY_BUTTON5,MY_BUTTON6,MY_BUTTON7,MY_BUTTON8,MY_BUTTON9,MY_BUTTON10,MY_BUTTON11,MY_BUTTON12,MY_BUTTON13,MY_BUTTON14,MY_BUTTON15,NO_DIALOG,MY_SLIDER1,MY_SLIDER2}; 
class TEXT_X :  UNITINFO_RscActiveText
  {
    idc = 201;
   style = UNITINFO_ST_LEFT;
   color[] = {0, 0, 0, 1};
   colorActive[] = {0.9, 0.9, 0.9, 1};
   text = X;    
    sizeEx = 0.03;
          x = 0.785;
          y = 0.037;
          w = 0.02;
          h = 0.03;
         action = "if (ctrlvisible 416) then {ctrlshow [416,false]} else {ctrlshow [416,true]}";
         default = true;
 };
class TEXT_Y :  UNITINFO_RscActiveText
  {
    idc = 202;
    style = UNITINFO_ST_LEFT;
    color[] = {0, 0, 0, 1};
    colorActive[] = {0.9, 0.9, 0.9, 1};
    text = Y;    
    sizeEx = 0.03;
          x = 0.785;
          y = 0.0705;
          w = 0.02;
          h = 0.03;
         action = "if (format [{%1},CtrlText 202] == {Y} && format [{%1},CtrlText 403] == {CamOff}) then {CtrlSetText [202,{#}];[] exec {UnitInfo1.0\NewPos.sqs};CtrlSetText [404,{NewPos}];_BefDialog = [11,103,304,418];{CtrlShow [_x,true]} foreach _BefDialog} else {if (format [{%1},CtrlText 403] == {CamOff}) then {CtrlSetText [202,{Y}];CtrlSetText [301,format [{%1},InfoCamRelPosX]];CtrlSetText [302,format [{%1},InfoCamRelPosY]];CtrlSetText [303,format [{%1},InfoCamRelPosZ]];_BefDialog = [11,103,304,418];{CtrlShow [_x,false]} foreach _BefDialog;CtrlSetText [304,{}]} else {CtrlSetText [202,{Y}]};CtrlSetText [404,{Set}];_BefDialog = [11,103,304,418];{CtrlShow [_x,false]} foreach _BefDialog}";
         default = true;
 };
class TEXT_Z :  UNITINFO_RscActiveText
  {
    idc = 203;
   color[] = {0, 0, 0, 1};
   colorActive[] = {0.9, 0.9, 0.9, 1};
    style = UNITINFO_ST_LEFT;
    text = Z;    
    sizeEx = 0.03;
          x = 0.785;
          y = 0.103;
          w = 0.02;
          h = 0.03;
         action = "if (ctrlvisible 417) then {ctrlshow [417,false]} else {ctrlshow [417,true]}";
         default = true;
 };
class MY_LISTBOX : UNITINFORscListbox
  {
         idc= 300
          x = 0.731;
         y = 0.8075;
         w = 0.2443;
         h = 0.136;	
  };
class MY_EDIT1 : UNITINFORscEdit
  {
          idc = 301
          x = 0.801;
          y = 0.039;
          w = 0.08;
          h = 0.025;
          text = 0;
  };
class MY_EDIT2 : UNITINFORscEdit
  {
          idc = 302
          x = 0.801;
          y = 0.0725;
          w = 0.08;
          h = 0.025;
          text = -15;
  };
class MY_EDIT3 : UNITINFORscEdit
  {
          idc = 303
          x = 0.801;
          y = 0.105;
          w = 0.08;
          h = 0.025;
          text = 3;
  };
class MY_EDIT4 : UNITINFORscEdit
  {
          idc = 304
          sizeEx = 0.02;
          x = 0.785;
          y = 0.147;
          w = 0.159;
          h = 0.025;
          text = ;
  };
  class MY_BUTTON1 :  UNITINFORscButton
  {
          idc = 401;
          x = 0.792;
          y = 0.948;
          w = 0.04225;
          h = 0.03;
          text = "Info";
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = "if (format [{%1},lbCurSel 300] != {-1}) then {AllInfoUnits select (lbCurSel 300) call UnitInfo} else {}";
};
  class MY_BUTTON2 :  UNITINFORscButton
  {
          idc = 402;
          x = 0.83525;
          y = 0.948;
          w = 0.024;
          h = 0.03;
          text = R;
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = "if (format [{%1},CtrlText 406] == {Fav}) then {[1] exec {UnitInfo1.0\createdialog.sqs}} else {[2] exec {UnitInfo1.0\createdialog.sqs}}";
};
  class MY_BUTTON3 :  UNITINFORscButton
  {
          idc = 403;
          x = 0.731;
          y = 0.948;
          w = 0.06;
          h = 0.03;
          text = "Camera";
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = "If (format [{%1},CtrlText 403] == {Camera}) then {[InfoCamUnit select 0] exec {UnitInfo1.0\InfoCam.sqs};CtrlSetText [403,{CamOff}];[3] exec {UnitInfo1.0\createdialog.sqs};CtrlSetText [410,{>}]} else {InfoCamEnde = true;CtrlSetText [403,{Camera}];CtrlSetText [410,{<}];[4] exec {UnitInfo1.0\createdialog.sqs}}";
};
  class MY_BUTTON4 : UNITINFORscButton
  {
          idc = 404;
          x = 0.886;
          y = 0.039;
          w = 0.06;
          h = 0.03;
          text = "Set";
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = "if (format [{%1},CtrlText 202] == {Y}) then {[] exec {UnitInfo1.0\InfoCamSetup.sqs};SliderSetRange [416,-180,180.1];SliderSetPosition [416,0];sliderSetRange [417,-50,50.1];sliderSetPosition [417,0]} else {CtrlSetText [304,{}];InfoCamUnit = InfoCamUnit + [{SetPos}]}";
};

  class MY_BUTTON5 :  UNITINFORscButton
  {
          idc = 405;
          x = 0.886;
          y = 0.071;
          w = 0.06;
          h = 0.03;
          text = "Pos";
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = "if (format [{%1},CtrlText 405] == {Pos}) then {CtrlSetText [405,{Unit}];SliderSetRange [416,-180,180.1];SliderSetPosition [416,0];sliderSetRange [417,-50,50.1];sliderSetPosition [417,0]} else {CtrlSetText [405,{Pos}];SliderSetRange [416,-180,180.1];SliderSetPosition [416,0];sliderSetRange [417,-50,50.1];sliderSetPosition [417,0]}";
  };
  class MY_BUTTON6 :  UNITINFORscButton
  {
          idc = 406;
          x = 0.86025;
          y = 0.948;
          w = 0.04225;
          h = 0.03;
          text =Fav ;
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = "if (count UnitInfoFavorites == 0 && format [{%1},CtrlText 406] == {Fav}) then {hintc {Error: Keine Favoriten definiert! / No Favorites difined!}} else {if (format [{%1},CtrlText 406] == {Fav}) then {[2] exec {UnitInfo1.0\createdialog.sqs}} else {[0] exec {UnitInfo1.0\createdialog.sqs};CtrlSetText [406,{Fav}]}}";
  };
  class MY_BUTTON7 :  UNITINFORscButton
  {
          idc = 407;
          x = 0.947;
          y = 0.102;
          w = 0.031;
          h = 0.03;
          text = 90;
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = "[0] exec {UnitInfo1.0\InfoCamDir-Zoom.sqs};SliderSetRange [416,-180,180.1];SliderSetPosition [416,0];sliderSetRange [417,-50,50.1];sliderSetPosition [417,0]";
  };
  class MY_BUTTON8 :  UNITINFORscButton
  {
          idc = 408;
          x = 0.947;
          y = 0.039;
          w = 0.031;
          h = 0.03;
          text = +;
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = [1] exec {UnitInfo1.0\InfoCamDir-Zoom.sqs};
  };
  class MY_BUTTON9 :  UNITINFORscButton
  {
          idc = 409;
          x = 0.947;
          y = 0.071;
          w = 0.031;
          h = 0.03;
          text = -;
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = [2] exec {UnitInfo1.0\InfoCamDir-Zoom.sqs};
  };
  class MY_BUTTON10 :  UNITINFO_RscActiveText
  {
          idc = 410;
          style = UNITINFO_ST_LEFT;
          x = 0.968;
          y = 0.0005;
          w = 0.02;
          h = 0.03;
          text =< ;
          font = UNITINFOFontM;    
          sizeEx = 0.025;
          action = "if (format [{%1},CtrlText 410] == {<}) then {[3] exec {UnitInfo1.0\createdialog.sqs};CtrlSetText [410,{>}]} else {[4.1] exec {UnitInfo1.0\createdialog.sqs};CtrlSetText [410,{<}]}";
          default = true;
  };
  class MY_BUTTON11 :  UNITINFORscButton
  {
          idc = 411;
          x = 0.903;
          y = 0.948;
          w = 0.0365;
          h = 0.03;
          text =F+ ;
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = "if (!(AllInfoUnits select (lbCurSel 300) in UnitInfoFavorites)) then {UnitInfoFavorites = UnitInfoFavorites + [AllInfoUnits select (lbCurSel 300)]} else {hintc {Error: Einheit ist schon in Favoriten enthalten! / This unit is already in Favorites!}}";
  };
  class MY_BUTTON12 :  UNITINFORscButton
  {
          idc = 412;
          x = 0.9405;
          y = 0.948;
          w = 0.0365;
          h = 0.03;
          text =F- ;
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = "if (AllInfoUnits select (lbCurSel 300) in UnitInfoFavorites) then {UnitInfoFavorites = UnitInfoFavorites - [AllInfoUnits select (lbCurSel 300)];[2] exec {UnitInfo1.0\createdialog.sqs};lbSetCurSel [300,0]} else {hintc {Error: Einheit ist nicht in Favoriten enthalten! / This unit is not in Favorites!}} ";
  };
  class MY_BUTTON13 :  UNITINFORscButton
  {
          idc = 413;
          x = 0.886;
          y = 0.102;
          w = 0.029;
          h = 0.03;
          text = <;
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = [5] exec {UnitInfo1.0\createdialog.sqs};
  };
  class MY_BUTTON14 :  UNITINFORscButton
  {
          idc = 414;
          x = 0.917;
          y = 0.102;
          w = 0.029;
          h = 0.03;
          text = >;
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = [6] exec {UnitInfo1.0\createdialog.sqs};
  };
class NO_DIALOG : UNITINFO_RscActiveText
  {
    idc = 415;
    style = UNITINFO_ST_LEFT;
    x = 0.968;
    y = 0.762;
    w = 0.02;
    h = 0.03;
    text = >;
    sizeEx = 0.025;
    action = "if (format [{%1},CtrlText 415] == {>}) then {[7] exec {UnitInfo1.0\createdialog.sqs};CtrlSetText [415,{<}]} else {[8] exec {UnitInfo1.0\createdialog.sqs};CtrlSetText [415,{>}]}";
    default = true;
  };
  class MY_SLIDER1 : UNITINFORscSliderH
  {
  	idc = 416;
  	x = 0.01;
  	y = 0.01;
  	w = 0.75;
  	h = 0.05;
  };
  class MY_SLIDER2 : UNITINFORscSliderV
  {
  	idc = 417;
  	x = 0.005;
  	y = 0.06;
  	w = 0.04;
  	h = 0.3;
  };
  class MY_BUTTON15 :  UNITINFORscButton
  {
          idc = 418;
          x = 0.947;
          y = 0.147;
          w = 0.031;
          h = 0.026;
          text = x;
          font = UNITINFOFontM;    
          sizeEx = 0.02;
          action = call (CtrlText 304);
  };
};
